Subject: [Fot] rare find - Spitfire bootlid

From: [email-masked]
Date: Sat, 16 Aug 2014 16:06:36 -0400 (EDT)

I have a early Spitfire (roundtail) Boot Lid...This is an NOS  part,still 
has orig. Stanpart label and pkg.on it .It is an orig.  replacement part from 
Triumph that I bought in or around 1967 for my Mark  III. It is perfect,no 
rust ,no dents,in orig. factory primer and has the  underside framework on 
it....This would be perfect for someone doing a max  restoration with 
documentations and provenance....I can take pics and offers if  you contact me off 
line...These are not available in catalogs that I have  seen,except Rimmers 
lists one at about $900 or 900  BSP....Rick
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive